Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`ConnectingCancelledError``

exception documentation

`class ConnectingCancelledError(Exception): (source)`

Constructor: `ConnectingCancelledError(address)`

View In Hierarchy

An `Exception` that will be raised when an `IStreamClientEndpoint` is cancelled before it connects.

Method | `__init__` | No summary
Instance Variable | `address` | The `IAddress` that is the destination of the cancelled `IStreamClientEndpoint`.

def __init__(self, address): (source)

Parameters
address | The `IAddress` that is the destination of the `IStreamClientEndpoint` that was cancelled.

address = (source)

The `IAddress` that is the destination of the cancelled `IStreamClientEndpoint`.